- name: Add Site Name - Add Geo secondary site to tracking db for Omnibus environments
  command: |
    gitlab-rails runner "n = GeoNode.find_or_initialize_by(name: '{{ geo_secondary_site_name }}'); n.assign_attributes(url: '{{geo_secondary_external_url }}', internal_url: '{{ geo_secondary_internal_url }}'); n.save!"
  when:
    - ('gitlab_rails_primary' in group_names)
    - ( geo_primary_site_group_name in group_names)

- name: Add Site Name for Cloud Native Hybrid environments
  block:
    - name: Add Site Name - Configure kubeconfig credentials for Geo primary site
      become: false
      delegate_to: localhost
      run_once: true
      import_tasks: kubeconfig.yml
      vars:
        geo_site_prefix: "{{ geo_primary_site_prefix }}"
        geo_site_gcp_project: "{{ geo_primary_site_gcp_project }}"
        geo_site_gcp_gke_location: "{{ geo_primary_site_gcp_gke_location }}"
        geo_site_aws_region: "{{ geo_primary_site_aws_region }}"

    - name: Add Site Name - Add Geo secondary site to tracking db for Cloud Native Hybrid environments
      become: false
      delegate_to: localhost
      run_once: true
      kubernetes.core.k8s_exec:
        pod: "{{ task_runner_pod }}"
        namespace: "{{ gitlab_charts_release_namespace }}"
        command: |
          gitlab-rails runner "n = GeoNode.find_or_initialize_by(name: '{{ geo_secondary_site_name }}'); n.assign_attributes(url: '{{geo_secondary_external_url }}', internal_url: '{{ geo_secondary_internal_url }}'); n.save!"
  when:
    - cloud_native_hybrid_geo
    - not geo_external_primary
